Update a contact
curl --request PATCH \
--url https://api.algosmiths.com/api/v1/contacts/{receiver_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"assigned_member": 123,
"assigned_team_inbox": 123,
"calling_permission": true
}
'import requests
url = "https://api.algosmiths.com/api/v1/contacts/{receiver_id}/"
payload = {
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"assigned_member": 123,
"assigned_team_inbox": 123,
"calling_permission": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
company: '<string>',
notes: '<string>',
tags: '<unknown>',
assigned_member: 123,
assigned_team_inbox: 123,
calling_permission: true
})
};
fetch('https://api.algosmiths.com/api/v1/contacts/{receiver_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"assigned_member": 123,
"assigned_team_inbox": 123,
"calling_permission": true
}Contacts
Update a contact
PATCH
/
api
/
v1
/
contacts
/
{receiver_id}
/
Update a contact
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
254Maximum string length:
255open- Openresolved- Resolvedpending- Pendingspam- Spamconverted- Converted
Available options:
open, resolved, pending, spam, converted low- Lownormal- Normalhigh- Highurgent- Urgent
Available options:
low, normal, high, urgent Response
200 - application/json
Maximum string length:
254Maximum string length:
255open- Openresolved- Resolvedpending- Pendingspam- Spamconverted- Converted
Available options:
open, resolved, pending, spam, converted low- Lownormal- Normalhigh- Highurgent- Urgent
Available options:
low, normal, high, urgent ⌘I

